from setuptools import setup, find_packages
import os

version = '1.0'

setup(name='waeup.plonetheme.ngren1',
      version=version,
      description="An installable theme for Plone 3",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from
      # http://pypi.python.org/pypi?:action=list_classifiers
      classifiers=[
        "Framework :: Plone",
        "Programming Language :: Python",
        ],
      keywords='web zope plone theme',
      author='Henrik Bettermann',
      author_email='henrik@waeup.org',
      url='http://www.waeup.org',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['waeup'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          # -*- Extra requirements: -*-
      ],
      entry_points="""
      # -*- Entry points: -*-

      [z3c.autoinclude.plugin]
      target = plone
      """,
      )
